Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class RevReqContent

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmp.RevReqContent

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class RevReqContent
extends ASN1Object

RevReqContent ::= SEQUENCE OF RevDetails

Constructor Summary
`RevReqContent(RevDetails revDetails)`
`RevReqContent(RevDetails[] revDetailsArray)`

Method Summary
`static RevReqContent` | `getInstance(java.lang.Object o)`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
`RevDetails[]` | `toRevDetailsArray()`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevReqContent

    public RevReqContent(RevDetails revDetails)

### RevReqContent

    public RevReqContent(RevDetails[] revDetailsArray)

Method Detail

### getInstance

    public static RevReqContent getInstance(java.lang.Object o)

### toRevDetailsArray

    public RevDetails[] toRevDetailsArray()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a basic ASN.1 object representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD